
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.SpringLayout;

public class JInputPersona extends JDialog {

	public static final int CANCEL_OPTION = 0;
	public static final int OK_OPTION = 1;

	private int action = CANCEL_OPTION;

	private final JPanel contentPanel = new JPanel();
	private JTextField txtCognome;
	private JTextField txtNome;
	private JButton btnOK;
	private JButton btnAnnulla;
	private JLabel lblCognome;
	private JLabel lblNome;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		try {
			JInputPersona dialog = new JInputPersona();
			dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
			dialog.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Create the dialog.
	 */
	public JInputPersona() {
		setModal(true);
		setTitle("Inserisci i dati del libro");
		setBounds(100, 100, 400, 150);
		getContentPane().add(contentPanel);
		SpringLayout sl_contentPanel = new SpringLayout();
		contentPanel.setLayout(sl_contentPanel);
		{
			txtCognome = new JTextField();
			sl_contentPanel.putConstraint(SpringLayout.NORTH, txtCognome, 10,
					SpringLayout.NORTH, contentPanel);
			sl_contentPanel.putConstraint(SpringLayout.WEST, txtCognome, 60,
					SpringLayout.WEST, contentPanel);
			contentPanel.add(txtCognome);
			txtCognome.setColumns(20);
		}
		{
			txtNome = new JTextField();
			sl_contentPanel.putConstraint(SpringLayout.NORTH, txtNome, 6,
					SpringLayout.SOUTH, txtCognome);
			sl_contentPanel.putConstraint(SpringLayout.WEST, txtNome, 0,
					SpringLayout.WEST, txtCognome);
			contentPanel.add(txtNome);
			txtNome.setColumns(30);
		}
		{
			btnAnnulla = new JButton("Annulla");
			btnAnnulla.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					action = CANCEL_OPTION;
					setVisible(false);
				}
			});
			sl_contentPanel.putConstraint(SpringLayout.SOUTH, btnAnnulla, -10,
					SpringLayout.SOUTH, contentPanel);
			sl_contentPanel.putConstraint(SpringLayout.EAST, btnAnnulla, -10,
					SpringLayout.EAST, contentPanel);
			contentPanel.add(btnAnnulla);
		}
		{
			btnOK = new JButton("OK");
			btnOK.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent arg0) {
					action = OK_OPTION;
					setVisible(false);
				}
			});
			sl_contentPanel.putConstraint(SpringLayout.NORTH, btnOK, 0,
					SpringLayout.NORTH, btnAnnulla);
			sl_contentPanel.putConstraint(SpringLayout.EAST, btnOK, -6,
					SpringLayout.WEST, btnAnnulla);
			contentPanel.add(btnOK);
		}
		{
			lblCognome = new JLabel("Cognome");
			sl_contentPanel.putConstraint(SpringLayout.NORTH, lblCognome, 3,
					SpringLayout.NORTH, txtCognome);
			sl_contentPanel.putConstraint(SpringLayout.EAST, lblCognome, -6,
					SpringLayout.WEST, txtCognome);
			contentPanel.add(lblCognome);
		}
		{
			lblNome = new JLabel("Nome");
			sl_contentPanel.putConstraint(SpringLayout.NORTH, lblNome, 3,
					SpringLayout.NORTH, txtNome);
			sl_contentPanel.putConstraint(SpringLayout.EAST, lblNome, -6,
					SpringLayout.WEST, txtNome);
			contentPanel.add(lblNome);
		}
	}

	public int showDialog() {
		setVisible(true);
		return action;
	}

	public Persona getLibro() {
		return new Persona(txtCognome.getText(), txtNome.getText());
	}
}
